# nodesnim/core/audio_stream

Dark Mode

Search:
Group by:

# Imports

../thirdparty/sdl2, ../thirdparty/sdl2/mixer

# Types

    AudioStreamRef = ref object of RootObj
      chunk*: ptr Chunk
      channel*: cint
      loop*: bool

# Procs

    proc loadAudio(file: cstring; loop: bool = true): AudioStreamRef {...}{.raises: [], tags: [].}

  Loads a new AudioStream from file.

  Arguments:

  - `file` is the audio path.